package bean

import "github.com/shopspring/decimal"

type ReplyCustoms struct {
	CostAmount         decimal.Decimal      `json:"costAmount" label:"费用"`            // 费用
	CustomsCostAmount  decimal.Decimal      `json:"customsCostAmount" label:"报关费用"`   // 报关费用
	SaleTotalAmount    decimal.Decimal      `json:"saleTotalAmount" label:"销售总金额"`    // 销售总金额
	CustomsTotalAmount decimal.Decimal      `json:"customsTotalAmount" label:"报关总金额"` // 报关总金额
	Products           []CustomsProductItem `json:"products" label:"产品"`              // 产品
}

type CustomsProductItem struct {
	Index             int             `json:"index" label:"序号"`                 // 序号
	Serial            string          `json:"serial" label:"货号"`                // 货号
	CustomsName       string          `json:"customsName" label:"客户货号"`         // 客户货号
	ShipmentCount     int64           `json:"shipmentCount" label:"出运数量"`       // 出运数量
	SalePrice         decimal.Decimal `json:"salePrice" label:"销售单价"`           // 销售单价
	SaleAmount        decimal.Decimal `json:"saleAmount" label:"销售金额"`          // 销售金额
	CustomsPrice      decimal.Decimal `json:"customsPrice" label:"报关单价"`        // 报关单价
	CustomsAmount     decimal.Decimal `json:"customsAmount" label:"报关金额"`       // 报关金额
	AdjustAmount      decimal.Decimal `json:"adjustAmount" label:"调整金额"`        // 调整金额
	RealCustomsPrice  decimal.Decimal `json:"realCustomsPrice" label:"真实报关单价"`  // 真实报关单价
	RealCustomsAmount decimal.Decimal `json:"realCustomsAmount" label:"真实报关金额"` // 真实报关金额
}
